org.apache.tools.ant.loader

## Class AntClassLoader5

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.tools.ant.AntClassLoader
    - - org.apache.tools.ant.loader.AntClassLoader5

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.util.EventListener, BuildListener, SubBuildListener

    public class AntClassLoader5
    extends AntClassLoader
    implements java.io.Closeable

Overrides getResources which became non-final in Java5 and implements Closeable

### Constructor Summary

Constructors
Constructor and Description
`AntClassLoader5(java.lang.ClassLoader parent, Project project, Path classpath, boolean parentFirst)` Creates a classloader for the given project using the classpath given.

### Method Summary

Methods
`void` `close()`
`java.util.Enumeration` `getResources(java.lang.String name)`

### Methods inherited from class org.apache.tools.ant.AntClassLoader

`addJavaLibraries, addLoaderPackageRoot, addPathComponent, addPathElement, addPathFile, addSystemPackageRoot, buildFinished, buildStarted, cleanup, defineClassFromData, definePackage, definePackage, findClass, findResources, findResources, forceLoadClass, forceLoadSystemClass, getClasspath, getConfiguredParent, getNamedResources, getResource, getResourceAsStream, getResourceURL, initializeClass, isInPath, loadClass, log, messageLogged, newAntClassLoader, resetThreadContextLoader, setClassPath, setIsolated, setParent, setParentFirst, setProject, setThreadContextLoader, subBuildFinished, subBuildStarted, targetFinished, targetStarted, taskFinished, taskStarted, toString`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AntClassLoader5

    public AntClassLoader5(java.lang.ClassLoader parent,
                   Project project,
                   Path classpath,
                   boolean parentFirst)

Creates a classloader for the given project using the classpath given.

Parameters:
  `parent` - The parent classloader to which unsatisfied loading attempts are delegated. May be `null`, in which case the classloader which loaded this class is used as the parent.
  `project` - The project to which this classloader is to belong. Must not be `null`.
  `classpath` - the classpath to use to load the classes. May be `null`, in which case no path elements are set up to start with.
  `parentFirst` - If `true`, indicates that the parent classloader should be consulted before trying to load the a class through this loader.

### Method Detail

#### getResources

    public java.util.Enumeration getResources(java.lang.String name)
                                       throws java.io.IOException

Overrides:
  `getResources` in class `java.lang.ClassLoader`
Throws:
  `java.io.IOException`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`